Name:		anki
Version:	2.0.47
Release:	%mkrel 1
Summary:	Flashcard program for using space repetition learning
Group:		Education
License:	AGPLv3+ and GPLv3+ and MIT and BSD
URL:		http://ankisrs.net/
Source0:	http://apps.ankiweb.net/downloads/current/%{name}-%{version}-source.tgz
Source1:	anki.svg
Source2:	anki.appdata.xml

# Config change: don't check for new updates.
Patch0:		%{name}-2.0.13-set-no-update.patch
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-sqlalchemy
BuildRequires:	desktop-file-utils
BuildRequires:	python-qt4
BuildRequires:	python-simplejson
BuildRequires:	xdg-utils

Requires:	python-qt4
Requires:	python-sqlalchemy
Requires:	python-simplejson
Requires:	python-sqlite2
Requires:	python-matplotlib
Requires:	python-matplotlib-qt4
Requires:	python-pygame
Requires:	python-beautifulsoup
Requires:	python-httplib2
Requires:	python-pyaudio
Requires:	sox

%description
Anki is a program designed to help you remember facts (such as words
and phrases in a foreign language) as easily, quickly and efficiently
as possible. Anki is based on a theory called spaced repetition.

%prep
%setup -q
mv thirdparty/send2trash .
rm -rf thirdparty
%patch0 -p0

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -f aqt/*.noupdate
rm -f aqt/*.fix-browserview
cp -R aqt %{buildroot}%{_datadir}/%{name}/
cp -R designer %{buildroot}%{_datadir}/%{name}/
cp -R anki %{buildroot}%{_datadir}/%{name}/
cp -R locale %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/%{name}/thirdparty
cp -R send2trash %{buildroot}%{_datadir}/%{name}/thirdparty/

install -d %{buildroot}%{_bindir}
install -m 755 runanki %{buildroot}%{_bindir}/anki

install -d %{buildroot}%{_pkgdocdir}
install -m 644 LICENSE* %{buildroot}%{_pkgdocdir}/
install -m 644 README* %{buildroot}%{_pkgdocdir}/

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 anki.xml %{buildroot}%{_datadir}/mime/packages

install -d %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

install -d %{buildroot}%{_mandir}/man1
install -m 644 anki.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_datadir}/appdata
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/

desktop-file-install \
  --remove-category=KDE \
  --set-key=Keywords --set-value="learn;education;memorizing;language;flashcard;spaced repetition;" \
  --dir %{buildroot}%{_datadir}/applications \
  %{name}.desktop

find %{buildroot} -type f -o -type l|sed '
s:'"%{buildroot}"'::
s:\(.*/share/anki/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
s:\(.*/share/anki/locale/qt_\)\([^.]\+\)\(\.qm\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(C) ::
/^$/d' > anki.lang

find %{buildroot}/usr/share/anki/locale -type d|sed '
s:'"%{buildroot}"'::
s:\(.*\):%dir \1:' >>anki.lang

%files -f %{name}.lang
%doc LICENSE.* README*
%{_bindir}/anki
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/aqt/
%{_datadir}/%{name}/designer/
%{_datadir}/%{name}/anki/
%{_datadir}/%{name}/thirdparty/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.*
%{_datadir}/mime/packages/anki.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.*


%changelog
* Sun Apr 22 2018 daviddavid <daviddavid> 2.0.47-1.mga6
  (not released yet)
+ Revision: 1221173
- new version: 2.0.47, fixes security issue (mga#22939)

* Thu Mar 30 2017 akien <akien> 2.0.45-1.mga6
+ Revision: 1095358
- Version 2.0.45

* Fri Feb 24 2017 akien <akien> 2.0.43-1.mga6
+ Revision: 1087656
- Version 2.0.43

* Wed Feb 15 2017 akien <akien> 2.0.42-1.mga6
+ Revision: 1086279
- Version 2.0.42

* Wed Feb 08 2017 akien <akien> 2.0.41-1.mga6
+ Revision: 1085158
- Version 2.0.41

* Thu Jan 05 2017 akien <akien> 2.0.39-1.mga6
+ Revision: 1080185
- Version 2.0.39

* Fri Dec 23 2016 akien <akien> 2.0.38-1.mga6
+ Revision: 1076545
- Version 2.0.38

* Sun Apr 10 2016 daviddavid <daviddavid> 2.0.36-1.mga6
+ Revision: 999977
- new version: 2.0.36

* Sat Feb 20 2016 umeabot <umeabot> 2.0.33-2.mga6
+ Revision: 971346
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 daviddavid <daviddavid> 2.0.33-1.mga6
+ Revision: 891661
- new version: 2.0.33

* Mon Aug 24 2015 daviddavid <daviddavid> 2.0.32-1.mga6
+ Revision: 868917
- new version: 2.0.32 (sync with fc23)

* Mon Oct 20 2014 grenoya <grenoya> 2.0.31-1.mga5
+ Revision: 792183
- new version 2.0.31

* Wed Oct 15 2014 umeabot <umeabot> 2.0.28-4.mga5
+ Revision: 743281
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.28-3.mga5
+ Revision: 677764
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 grenoya <grenoya> 2.0.28-2.mga5
+ Revision: 665142
- new version 2.0.28

* Tue Apr 01 2014 grenoya <grenoya> 2.0.22-2.mga5
+ Revision: 611206
- new version 2.0.22

* Tue Oct 22 2013 umeabot <umeabot> 2.0.13-2.mga4
+ Revision: 541377
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 grenoya <grenoya> 2.0.13-1.mga4
+ Revision: 495819
- new version 2.0.13

* Sun Apr 07 2013 grenoya <grenoya> 2.0.3-4.mga3
+ Revision: 408761
- fix missing link to httplib2 (bug #8836)
- disable automatic check for software updates

* Fri Jan 25 2013 fwang <fwang> 2.0.3-3.mga3
+ Revision: 392221
- drop unneeded qt4

* Fri Jan 11 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 345569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 grenoya <grenoya> 2.0.3-1.mga3
+ Revision: 343250
-fix BR
-new version 2.0.3

* Thu Sep 20 2012 grenoya <grenoya> 1.2.11-1.mga3
+ Revision: 296422
- new version 1.2.11

* Mon Dec 19 2011 grenoya <grenoya> 1.2.9-2.mga2
+ Revision: 184162
- update sources to 1.2.9

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-2.mga1
+ Revision: 90170
- fix group

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-1.mga1
+ Revision: 90121
- imported package anki

